Package com.oracle.truffle.api.dsl

## Annotation Type NodeFields

    @Retention(CLASS)
    @Target(TYPE)
    public @interface NodeFields

A `NodeFields` element defines a field for the generated `Node`. A `Node` contains multiple `NodeFields` specified in linear declaration order. The field can be accessed by declaring an abstract getter named `"get" + firstLetterUpperCase(`value()`)()`.

### Optional Element Summary

Optional Elements
`NodeField[]` `value`

### Element Detail

#### value

    NodeField[] value

Default:
  {}